MORE(1)

NOMBRE
more - display the contents of a file in a terminal

SINOPSIS

more [opciones] fichero ...

DESCRIPCIÓN

more es un filtro para paginar texto, mostrando una pantalla cada vez. Esta versión es especialmente primitiva. Los usarios deben tener en cuenta que less(1) ("menos") provee more(1) ("más") emulación y muchas más mejoras.

OPCIONES

Estas, también se toman de la variable de entorno MORE (asegúrate de precederla con un guión (-)). Ten en cuenta que las opciones de la línea de órdenes toman precedencia sobre esta variable.

-d, --silent
    Prompt with "[Press space to continue, 'q' to quit.]", and display "[Press 'h' for instructions.]" instead of ringing the bell when an illegal key is pressed.

-l, --logical
    No hace pausa después de ninguna línea que contenga ^L (salto de página).

-e, --exit-on-eof
    Exit on End-Of-File, enabled by default if POSIXLY_CORRECT environment variable is not set or if not executed on terminal.

-f, --no-pause
    Cuenta líneas lógicas en vez de líneas de pantalla (o sea, las líneas largas no se doblan).

-p, --print-over
    No realiza desplazamiento. En vez de ello, limpia toda la pantalla y luego muestra el texto. Obsérvese que esta opción se activa automáticamente si el nombre del ejecutable es page.

-c, --clean-print
    No realizar desplazamiento. En vez del mismo, dibujar cada pantalla desde arriba, limpiando el resto de la línea según se van mostrando.

-s, --squeeze
    Reducir múltiples líneas en blanco a una.

-u, --plain
    Suprime el subrayado. Esta opción se ignora silenciosamente por compatibilidad hacia atrás.

-n, --lines número
    Especifica el número de líneas por pantalla. El argumento _número es un número entero positivo en decimal. La opción --lines anulará los valores obtenidos de cualquier otra fuente, tales como el número de líneas que se muestran por terminal.

-número
    Una opción numérica tiene el mismo significado que el argumento de la opción --lines.

+número
    Start displaying each file at line number.

+/cadena
    La cadena que se buscará en cada fichero antes de empezar a mostrarlo.

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Print version and exit.

ORDENES

Las órdenes interactivas para more están basadas en las respectivas de vi(1). Algunos de ellos se pueden preceder por un número decimal, que llamaremos "k" en las descripciones siguientes. En lo que sigue, ^X significa control-X.

h o ?
    Ayuda: muestra un resumen para estas órdenes. Si olvidas todos los otros, recuerda éste.

ESPACIO
    Muestra las próximas k líneas de texto. Por defecto, el tamaño (en líneas) de la pantalla actual.

z
    Muestra las próximas k líneas de texto. Por defecto el tamaño (en líneas) de la pantalla actual. El argumento se transforma en el nuevo valor por defecto.

RETURN
    Muestra las próximas k líneas de texto. Por defecto una. El argumento se transforma en el nuevo valor por defecto.

d o ^D
    Avanzar k líneas. Por defecto es el tamaño actual de desplazamiento, inicialmente 11. El argumento se convierte en el nuevo valor por defecto.

q o Q o INTERRUPT
    Salir.

s
    Avanzar k líneas de texto. Por defecto 1.

f
    Avanzar k pantallas de texto. Por defecto 1.

b o ^B
    Retroceder k pantallas de texto. Por defecto 1. Solo funciona con ficheros, no con tuberías.

'
    Ir al punto donde empezó la última búsqueda.

=
    Mostrar el número de línea actual.

/patrón
    Buscar la ocurrencia k-ésima de una expresión regular. Por defecto una.

n
    Busca la ocurrencia k-ésima de la última expresión regular. Por defecto 1.

!orden o :!orden
    Ejecutar orden en una instancia de la línea de órdenes.

v
    Arranca un editor en la línea actual. El editor se toma de la variable de entorno VISUAL si está definida, o EDITOR si VISUAL no está definida, o vi(1) si ninguna de las dos variables está definida.

^L
    Redibujar la pantalla.

:n
    Saltar siguiente k-ésimo fichero. Por defecto 1 (el siguiente).

:p
    Saltar al k-ésimo fichero anterior. Por defecto 1 (el siguiente).

:f
    Mostrar el nombre de fichero y la línea actual.

.
    Repetir la orden anterior.

ENTORNO

Si existen, more usa las siguientes variables de entorno:

MORE
    A ésta variable se le pueden asignar las opciones favoritas para more.

SHELL
    La shell en uso (normalmente está asignada por el propio intérprete al entrar en el sistema).

TERM
    Tipo de terminal usado por more para obtener las características del terminal necesarias para manejar la pantalla.

VISUAL
    Editor preferido del usuario. Invocado cuando se pulsa la tecla de orden v.

EDITOR
    Editor escogido cuando VISUAL no es especificada.

POSIXLY_CORRECT
    Disable exit-on-eof (see option -e for more details).

HISTORIA

La orden more apareció en 3.0BSD. Esta página del manual documenta la versión 5.19 (Berkeley 6/29/88) de more, que es la que se usa corrientemente en la comunidad Linux. La documentación fue creada usando diferentes versiones de la página del manual, y una inspección exhaustiva del código fuente.

AUTORES

Eric Shienbrood, UC Berkeley.

Modificado por Geoff Peck, UCB para añadir subrayado, espaciado simple.

Modificado por John Foderaro, UCB para añadir -c y la variable de entorno MORE.

VÉASE TAMBIÉN

less(1), vi(1)

INFORMAR DE ERRORES

For bug reports, use the issue tracker at

DISPONIBILIDAD

La orden more forma parte del paquete util-linux, el cual puededescargarse de